Retrieve A Live Quote
GET
/fx-rate-api/quote/{quoteId}
The Retrieve A Live Quote endpoint is used to retrieve a previously requested foreign exchange quote by its unique identifier. A partner would call this endpoint when they need to access the details of a specific quote that was previously requested through the CSL Pay platform. This endpoint returns the current status and details of the quote.
Path parameters
| Name | Type | Description |
|---|---|---|
| quoteIdrequired | string | — |
Request body (optional)
This endpoint accepts a body with no declared schema.
Response 200
| Field | Type | Description |
|---|---|---|
| quoteId | string | — |
| buyCurrency | string | — |
| buyAmount | number | — |
| sellCurrency | string | — |
| sellAmount | number | — |
| rate | number | — |
| direction | string | — |
| quotedAt | string | — |
| expiresAt | string | — |
| expiresInSeconds | integer | — |